mod config;
mod tracing;

use ::tracing::info;
use eyre::Context;

use crate::{config::Config, tracing::set_up_tracing};

#[tokio::main]
async fn main() -> eyre::Result<()> {
    set_up_tracing("rust_tokio_service_template").context("Failed to set up tracing")?;

    let Config { meaning_of_life } = Config::load().context("Failed to load config")?;

    info!("The meaning of life is {meaning_of_life}");

    Ok(())
}
